<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::gmock_function_mocker_test::LegacyMockFoo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1gmock__function__mocker__test_1_1LegacyMockFoo.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::gmock_function_mocker_test::LegacyMockFoo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::gmock_function_mocker_test::LegacyMockFoo:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1gmock__function__mocker__test_1_1LegacyMockFoo__inherit__graph.svg" width="232" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::gmock_function_mocker_test::LegacyMockFoo:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1gmock__function__mocker__test_1_1LegacyMockFoo__coll__graph.svg" width="232" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8262f43f13e4a14a3a1701a22b70dbce"><td class="memItemLeft" align="right" valign="top"><a id="a8262f43f13e4a14a3a1701a22b70dbce"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (VoidReturning, void(int n))</td></tr>
<tr class="separator:a8262f43f13e4a14a3a1701a22b70dbce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7292c8acf4a42f4de86e857d0310013"><td class="memItemLeft" align="right" valign="top"><a id="af7292c8acf4a42f4de86e857d0310013"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (Nullary, int())</td></tr>
<tr class="separator:af7292c8acf4a42f4de86e857d0310013"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a303e06bec9e89322d50d78c65d612a33"><td class="memItemLeft" align="right" valign="top"><a id="a303e06bec9e89322d50d78c65d612a33"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (Unary, bool(int))</td></tr>
<tr class="separator:a303e06bec9e89322d50d78c65d612a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae579eeb5d0e6fa5200868cb1d74ccdb7"><td class="memItemLeft" align="right" valign="top"><a id="ae579eeb5d0e6fa5200868cb1d74ccdb7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD2</b> (Binary, long(short, int))</td></tr>
<tr class="separator:ae579eeb5d0e6fa5200868cb1d74ccdb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a129f7eee269cfdee37758ec15b795fee"><td class="memItemLeft" align="right" valign="top"><a id="a129f7eee269cfdee37758ec15b795fee"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD10</b> (Decimal, int(bool, char, short, int, long, float, double, unsigned, char *, const std::string &amp;str))</td></tr>
<tr class="separator:a129f7eee269cfdee37758ec15b795fee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf03410bee6d7f5345036857b48d2a38"><td class="memItemLeft" align="right" valign="top"><a id="adf03410bee6d7f5345036857b48d2a38"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (TakesNonConstReference, bool(int &amp;))</td></tr>
<tr class="separator:adf03410bee6d7f5345036857b48d2a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a842e5e4499f9042ac2193e31b19b98c1"><td class="memItemLeft" align="right" valign="top"><a id="a842e5e4499f9042ac2193e31b19b98c1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (TakesConstReference, std::string(const int &amp;))</td></tr>
<tr class="separator:a842e5e4499f9042ac2193e31b19b98c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1757ec948df353ac259b0e37752f4c8"><td class="memItemLeft" align="right" valign="top"><a id="ab1757ec948df353ac259b0e37752f4c8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (TakesConst, bool(const int))</td></tr>
<tr class="separator:ab1757ec948df353ac259b0e37752f4c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9173d8a2a77921ea32a74d27ef425a8f"><td class="memItemLeft" align="right" valign="top"><a id="a9173d8a2a77921ea32a74d27ef425a8f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (ReturnTypeWithComma, std::map&lt; int, std::string &gt;())</td></tr>
<tr class="separator:a9173d8a2a77921ea32a74d27ef425a8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc5444194616f279908cc27fc1ad3042"><td class="memItemLeft" align="right" valign="top"><a id="acc5444194616f279908cc27fc1ad3042"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_CONST_METHOD1</b> (ReturnTypeWithComma, std::map&lt; int, std::string &gt;(int))</td></tr>
<tr class="separator:acc5444194616f279908cc27fc1ad3042"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95b6830083d3a570edb2c6724bb9b49e"><td class="memItemLeft" align="right" valign="top"><a id="a95b6830083d3a570edb2c6724bb9b49e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (OverloadedOnArgumentNumber, int())</td></tr>
<tr class="separator:a95b6830083d3a570edb2c6724bb9b49e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58bcbf28f96a9c25d7255607ce3502bf"><td class="memItemLeft" align="right" valign="top"><a id="a58bcbf28f96a9c25d7255607ce3502bf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (OverloadedOnArgumentNumber, int(int))</td></tr>
<tr class="separator:a58bcbf28f96a9c25d7255607ce3502bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdbf3c510a10b237f885db1d6f27366b"><td class="memItemLeft" align="right" valign="top"><a id="abdbf3c510a10b237f885db1d6f27366b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (OverloadedOnArgumentType, int(int))</td></tr>
<tr class="separator:abdbf3c510a10b237f885db1d6f27366b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64402cd309aa4edf585974199fa1129e"><td class="memItemLeft" align="right" valign="top"><a id="a64402cd309aa4edf585974199fa1129e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (OverloadedOnArgumentType, char(char))</td></tr>
<tr class="separator:a64402cd309aa4edf585974199fa1129e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60b5b4dd84995c668572a83aaaee4c6"><td class="memItemLeft" align="right" valign="top"><a id="ae60b5b4dd84995c668572a83aaaee4c6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (OverloadedOnConstness, int())</td></tr>
<tr class="separator:ae60b5b4dd84995c668572a83aaaee4c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a072f3444d6a2257b8decc3ea65e2456c"><td class="memItemLeft" align="right" valign="top"><a id="a072f3444d6a2257b8decc3ea65e2456c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_CONST_METHOD0</b> (OverloadedOnConstness, char())</td></tr>
<tr class="separator:a072f3444d6a2257b8decc3ea65e2456c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4398b0decae5fe3c32e432d64c2ce00e"><td class="memItemLeft" align="right" valign="top"><a id="a4398b0decae5fe3c32e432d64c2ce00e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (TypeWithHole, int(int(*)()))</td></tr>
<tr class="separator:a4398b0decae5fe3c32e432d64c2ce00e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac429e72e47753040fc7a23e5bd491a83"><td class="memItemLeft" align="right" valign="top"><a id="ac429e72e47753040fc7a23e5bd491a83"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (TypeWithComma, int(const std::map&lt; int, std::string &gt; &amp;))</td></tr>
<tr class="separator:ac429e72e47753040fc7a23e5bd491a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92510319821db0ceaf3e037a63df5c68"><td class="memItemLeft" align="right" valign="top"><a id="a92510319821db0ceaf3e037a63df5c68"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (TypeWithTemplatedCopyCtor, int(const <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1TemplatedCopyable.html">TemplatedCopyable</a>&lt; int &gt; &amp;))</td></tr>
<tr class="separator:a92510319821db0ceaf3e037a63df5c68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea8adf40a66bbb704e4d24dbd919fdcc"><td class="memItemLeft" align="right" valign="top"><a id="aea8adf40a66bbb704e4d24dbd919fdcc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (ReturnsFunctionPointer1, int(*(int))(bool))</td></tr>
<tr class="separator:aea8adf40a66bbb704e4d24dbd919fdcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28ac0c96150878e488e87b91c58af4c6"><td class="memItemLeft" align="right" valign="top"><a id="a28ac0c96150878e488e87b91c58af4c6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (ReturnsFunctionPointer2, fn_ptr(int))</td></tr>
<tr class="separator:a28ac0c96150878e488e87b91c58af4c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b586a1db3bbe520061f450551f238b3"><td class="memItemLeft" align="right" valign="top"><a id="a5b586a1db3bbe520061f450551f238b3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedConstRef</b> () const &amp;override</td></tr>
<tr class="separator:a5b586a1db3bbe520061f450551f238b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99b57a335543fe6828ff2c70c0a726f5"><td class="memItemLeft" align="right" valign="top"><a id="a99b57a335543fe6828ff2c70c0a726f5"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedConstRefRef</b> () const &amp;&amp;override</td></tr>
<tr class="separator:a99b57a335543fe6828ff2c70c0a726f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53204e0e486eb2240659c468259c5f27"><td class="memItemLeft" align="right" valign="top"><a id="a53204e0e486eb2240659c468259c5f27"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedRef</b> () &amp;override</td></tr>
<tr class="separator:a53204e0e486eb2240659c468259c5f27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7bb0a91b68ba5aaeca67615c99a20c3"><td class="memItemLeft" align="right" valign="top"><a id="af7bb0a91b68ba5aaeca67615c99a20c3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedRefRef</b> () &amp;&amp;override</td></tr>
<tr class="separator:af7bb0a91b68ba5aaeca67615c99a20c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae21eb58ea09d921bc244859687c21a16"><td class="memItemLeft" align="right" valign="top"><a id="ae21eb58ea09d921bc244859687c21a16"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () const &amp;override</td></tr>
<tr class="separator:ae21eb58ea09d921bc244859687c21a16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fef0197e50b004509d02cfa4c6da20a"><td class="memItemLeft" align="right" valign="top"><a id="a3fef0197e50b004509d02cfa4c6da20a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () const &amp;&amp;override</td></tr>
<tr class="separator:a3fef0197e50b004509d02cfa4c6da20a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6544443eb2ab978a74c4e1dd5e92675e"><td class="memItemLeft" align="right" valign="top"><a id="a6544443eb2ab978a74c4e1dd5e92675e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () &amp;override</td></tr>
<tr class="separator:a6544443eb2ab978a74c4e1dd5e92675e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88054355288ae3fc6bdd3fbf82044d2"><td class="memItemLeft" align="right" valign="top"><a id="ab88054355288ae3fc6bdd3fbf82044d2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () &amp;&amp;override</td></tr>
<tr class="separator:ab88054355288ae3fc6bdd3fbf82044d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1FooInterface.html">testing::gmock_function_mocker_test::FooInterface</a></td></tr>
<tr class="memitem:ab62327ee683b362d9e5579266b74a09c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ab62327ee683b362d9e5579266b74a09c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidReturning</b> (int x)=0</td></tr>
<tr class="separator:ab62327ee683b362d9e5579266b74a09c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9440f75381e8a44977c2caee7914098f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a9440f75381e8a44977c2caee7914098f"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>Nullary</b> ()=0</td></tr>
<tr class="separator:a9440f75381e8a44977c2caee7914098f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f28f91c92b59da029ed0cb61c3d1da6 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a6f28f91c92b59da029ed0cb61c3d1da6"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>Unary</b> (int x)=0</td></tr>
<tr class="separator:a6f28f91c92b59da029ed0cb61c3d1da6 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d6e54401a3addca464903257529ace4 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a8d6e54401a3addca464903257529ace4"></a>
virtual long&#160;</td><td class="memItemRight" valign="bottom"><b>Binary</b> (short x, int y)=0</td></tr>
<tr class="separator:a8d6e54401a3addca464903257529ace4 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a415a61b9a9c7a69bba9a4b5ef2a63e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a2a415a61b9a9c7a69bba9a4b5ef2a63e"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>Decimal</b> (bool b, char c, short d, int e, long f, float g, double h, unsigned i, char *j, const std::string &amp;k)=0</td></tr>
<tr class="separator:a2a415a61b9a9c7a69bba9a4b5ef2a63e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf21cef138ffa4a8f2372c7fbed95b18 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="aaf21cef138ffa4a8f2372c7fbed95b18"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>TakesNonConstReference</b> (int &amp;n)=0</td></tr>
<tr class="separator:aaf21cef138ffa4a8f2372c7fbed95b18 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4765c543c11b5d544a35f9fe8de758bd inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a4765c543c11b5d544a35f9fe8de758bd"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>TakesConstReference</b> (const int &amp;n)=0</td></tr>
<tr class="separator:a4765c543c11b5d544a35f9fe8de758bd inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb43737fd2eeb7599b6f0af540890f50 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="abb43737fd2eeb7599b6f0af540890f50"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>TakesConst</b> (const int x)=0</td></tr>
<tr class="separator:abb43737fd2eeb7599b6f0af540890f50 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae27d00da9698493b196d0913dd5b6c1a inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae27d00da9698493b196d0913dd5b6c1a"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentNumber</b> ()=0</td></tr>
<tr class="separator:ae27d00da9698493b196d0913dd5b6c1a inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc3dde10866e94084cdf5b3b412d2274 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="abc3dde10866e94084cdf5b3b412d2274"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentNumber</b> (int n)=0</td></tr>
<tr class="separator:abc3dde10866e94084cdf5b3b412d2274 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78fc84ae56ba53a36047f0791d03fc58 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a78fc84ae56ba53a36047f0791d03fc58"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentType</b> (int n)=0</td></tr>
<tr class="separator:a78fc84ae56ba53a36047f0791d03fc58 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae45c3906c2196a0978720b91c521f91f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae45c3906c2196a0978720b91c521f91f"></a>
virtual char&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentType</b> (char c)=0</td></tr>
<tr class="separator:ae45c3906c2196a0978720b91c521f91f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94e43dbddc176d1702a7a7d7281f2642 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a94e43dbddc176d1702a7a7d7281f2642"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnConstness</b> ()=0</td></tr>
<tr class="separator:a94e43dbddc176d1702a7a7d7281f2642 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9014d2f6527f719b718b0915b27ff5c5 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a9014d2f6527f719b718b0915b27ff5c5"></a>
virtual char&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnConstness</b> () const =0</td></tr>
<tr class="separator:a9014d2f6527f719b718b0915b27ff5c5 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14850645cd7a5462480f1717df5153c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="aa14850645cd7a5462480f1717df5153c"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>TypeWithHole</b> (int(*func)())=0</td></tr>
<tr class="separator:aa14850645cd7a5462480f1717df5153c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1f1d96db798fadbf53fbd886e7c738e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="af1f1d96db798fadbf53fbd886e7c738e"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>TypeWithComma</b> (const std::map&lt; int, std::string &gt; &amp;a_map)=0</td></tr>
<tr class="separator:af1f1d96db798fadbf53fbd886e7c738e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9e3190c69647229baed1dba41c2fdf8 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="af9e3190c69647229baed1dba41c2fdf8"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>TypeWithTemplatedCopyCtor</b> (const <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1TemplatedCopyable.html">TemplatedCopyable</a>&lt; int &gt; &amp;)=0</td></tr>
<tr class="separator:af9e3190c69647229baed1dba41c2fdf8 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1315a533d4f38afb178623ac7c2337d inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae1315a533d4f38afb178623ac7c2337d"></a>
virtual fn_ptr&#160;</td><td class="memItemRight" valign="bottom"><b>ReturnsFunctionPointer2</b> (int)=0</td></tr>
<tr class="separator:ae1315a533d4f38afb178623ac7c2337d inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1FooInterface.html">testing::gmock_function_mocker_test::FooInterface</a></td></tr>
<tr class="memitem:a70abf7998b6302d9ea2f330ea3e01b8f inherit pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a70abf7998b6302d9ea2f330ea3e01b8f"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>fn_ptr</b> = int(*)(bool)</td></tr>
<tr class="separator:a70abf7998b6302d9ea2f330ea3e01b8f inherit pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1FooInterface.html">testing::gmock_function_mocker_test::FooInterface</a></td></tr>
<tr class="memitem:a855bdcea5e7f0b17ee050da4969c8027 inherit pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a855bdcea5e7f0b17ee050da4969c8027"></a>
virtual int(*)(bool)&#160;</td><td class="memItemRight" valign="bottom"><b>ReturnsFunctionPointer1</b> (int)</td></tr>
<tr class="separator:a855bdcea5e7f0b17ee050da4969c8027 inherit pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gmock-function-mocker_test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>gmock_function_mocker_test</b></li><li class="navelem"><a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1LegacyMockFoo.html">LegacyMockFoo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
